#include <hitachi.mac>

; The next line prohibits the use of numeric offsets in relative branches
var LABELSONLY

; ***********************************************************
; PROGRAM NAME: BOOT
;
; $Revision: 1.7 $ Brian Smith $Date: 1998/06/08 14:39:45 $
;
; PURPOSE:
;       This file contains two little routines
;       used to unboot and boot devices.  This
;       file was created to demonstrate how to
;       use a macro file to define access to the
;       Psion Operating System Services.
;
; ***********************************************************

DVA_BOT   EQU   2329h   ; LA/LZ/LZ64: lowest  addr used in
                        ; low RAM ($0400-$1FFF)
DVA_TOP   EQU   232Bh   ; LA/LZ/LZ64: highest addr used in
                        ; low RAM ($0400-$1FFF)

        ORG     0000h

UNBOOT  OS  DV$CLER     ; Unboot all devices
        LDX DVA_BOT     ; Reset low memory (device drivers use
        STX DVA_TOP     ; this area in LA/LZ/LZ64 models)
        LDX #2000h      ; Tag for the Permanent Cell (the one
                        ; used by devices in CM and XP models)
        OS  AL$ZERO     ; Zero the cell whose tag is in X
        RTS

BOOT    OS  DV$BOOT     ; Boot all devices
        RTS

; End of file
